Name:		firedns
Summary:	FireDNS Asynchronous DNS Lookup Library
Version:	0.9.12
Release:	3
License:	GPL
Group:		System Environment/Libraries
Packager:	Paul Howarth <paul@city-fan.org>
URL:		http://firestuff.org/
Source0:	http://firestuff.org/projects/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	firestring-devel
Requires:	firestring

%description
libfiredns is a library for handling asynchronous DNS
requests.  It provides a very simple interface for sending
requests and parsing reponses, as well as low-timeout
blocking functions.  libfiredns functions have much lower
timeouts than the stock functions and tend to be faster
because they send requests to all configured system
nameservers at the same time.

%package devel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Summary:	Files needed for building applications that use the firedns library.

%description devel
Files needed for building applications that use the firedns library.

%package progs
Group:		Applications/System
Summary:	Utility programs to do DNS lookups using firedns

%description progs
Utility programs to do DNS lookups using firedns

%prep
%setup -q -n %{name}

%build
PREFIX=$RPM_BUILD_ROOT%{_prefix} \
MANDIR=$RPM_BUILD_ROOT%{_mandir} \
CONFDIR=$RPM_BUILD_ROOT/etc \
BINDIR=$RPM_BUILD_ROOT%{_bindir} \
SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
LIBDIR=$RPM_BUILD_ROOT%{_libdir} ./configure
%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"
%{makeinstall}

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root) 
%{_libdir}/libfiredns.so*
%doc README GPL CREDITS

%files devel
%defattr(-,root,root) 
%{_includedir}/firedns.h
%{_libdir}/libfiredns.a
%{_mandir}/man3/*

%files progs
%defattr(-,root,root) 
%{_bindir}/fdnsip
%{_bindir}/fdnsmx
%{_bindir}/fdnsmxlist
%{_bindir}/fdnsname
%{_bindir}/fdnsnamep
%{_bindir}/fdnstxt
%{_bindir}/fdnscname
%{_bindir}/fdnsip6
%{_bindir}/fdnsip6list
%{_bindir}/fdnsiplist
%{_bindir}/fdnsmxalist
%{_bindir}/fdnsspf1
%{_bindir}/fdnstxtlist
%{_mandir}/man1/*

%changelog
* Wed Aug 18 2004 Paul Howarth <paul@city-fan.org> 0.9.12-3
- %{_sysconfdir} replaced by /etc - actually more portable
- %{buildroot} replaced with $RPM_BUILD_ROOT as per Fedora
  packaging guidelines

* Wed Mar 24 2004 Paul Howarth <paul@city-fan.org> 0.9.12-2
- Moved library manpages to devel package where they belong.

* Wed Mar 10 2004 Paul Howarth <paul@city-fan.org> 0.9.12-1
- Update to 0.9.12.
- Source now compressed using bzip2, not gzip.

* Tue Mar 09 2004 Paul Howarth <paul@city-fan.org> 0.9.11-1
- Update to 0.9.11.

* Wed Feb 25 2004 Paul Howarth <paul@city-fan.org> 0.9.10-1
- Update to 0.9.10.

* Fri Feb 13 2004 Paul Howarth <paul@city-fan.org> 0.9.9-1
- Update to 0.9.9.

* Fri Feb 13 2004 Paul Howarth <paul@city-fan.org> 0.9.8-2
- Add patch to fix bug causing breakage for non-IPV6 systems.

* Fri Feb 13 2004 Paul Howarth <paul@city-fan.org> 0.9.8-1
- Update to 0.9.8.

* Mon Jan 19 2004 Paul Howarth <paul@city-fan.org> 0.9.7-1
- Update to 0.9.7.

* Thu Jan 08 2004 Paul Howarth <paul@city-fan.org> 0.9.6-1
- Update to 0.9.6.
- More macros in "configure" phase for portability.

* Mon Dec 08 2003 Paul Howarth <paul@city-fan.org> 0.9.5-1
- Update to 0.9.5.

* Wed Nov 26 2003 Paul Howarth <paul@city-fan.org> 0.9.4-1
- Initial RPM build.
